#!/usr/bin/env node
'use strict';

var _path = require('path');

var _path2 = _interopRequireDefault(_path);

var _yargs = require('yargs');

var _yargs2 = _interopRequireDefault(_yargs);

var _index = require('../index');

var _index2 = _interopRequireDefault(_index);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

_yargs2.default.usage('Usage: $0').command('generate', 'generate your split-guide', {
  templatesDir: {
    default: inCwd('./templates'),
    coerce: coerceToCwd
  },
  exercisesDir: {
    default: inCwd('./exercises'),
    coerce: coerceToCwd
  },
  exercisesFinalDir: {
    default: inCwd('./exercises-final'),
    coerce: coerceToCwd
  },
  noClean: {
    type: 'boolean'
  },
  ignore: {
    type: 'array'
  }
}, generate).help('h').alias('h', 'help').argv;

function generate(options) {
  return (0, _index2.default)(options).then(function (result) {
    process.stdout.write(result);
    return result;
  }, function (error) {
    process.stderr.write(error);
    return Promise.reject(error);
  });
}

function inCwd(p) {
  return _path2.default.resolve(process.cwd(), p);
}

function coerceToCwd(val) {
  if (_path2.default.isAbsolute(val)) {
    return val;
  } else {
    return inCwd(val);
  }
}